package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.DischargeEnergyProductMonth;
import com.nantian.cloud.jljc.entity.DischargeEnergyStockMonth;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyStockMonthVo;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyTotalVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface DischargeEnergyStockMonthService extends IService<DischargeEnergyStockMonth> {

    Boolean addStock(String s, DischargeEnergyStockMonth dischargeEnergyStock, List<DischargeEnergyProductMonth> productList);

    Boolean renewStockBatch(String str);

    IPage<DischargeEnergyStockMonth> getPageData(Page page, DischargeEnergyStockMonth dischargeEnergyStockMonth);

    IPage<DischargeEnergyStockMonth> getStockProductIndex(Page page, DischargeEnergyStockMonth dischargeEnergyStockMonth);

    Boolean updateStock(String s);

    Boolean delStock(DischargeEnergyStockMonth dischargeEnergyStock);

    List<DischargeEnergyStockMonth> excelImport(MultipartFile file,String type) throws Exception;

    List<DischargeEnergyTotalVo> getStockTotal(DischargeEnergyStockMonth stockMonth);

    List<Map<String, String>> getChanges(DischargeEnergyStockMonth dischargeEnergyStockMonth);

    DischargeEnergyStockMonth getItemChange(DischargeEnergyStockMonth item);

    List<Map<String, String>> getSummaryTable1(String year, String quarter);

    List<Map<String, String>> getSummaryTableData(String year, String quarter, String s);

    List<Map<String, String>> getSummaryTableSum(String year, String quarter);

    List<Map<String, String>> getSummaryTableDataSum(String year, String quarter, String r);

    List<Map<String, String>> getSummaryTable2(String year, String quarter);
}
